### Method

# AppStream Metadata parse_file

#### Declaration [src]

    gboolean
    as_metadata_parse_file (
      AsMetadata* metad,
      GFile* file,
      AsFormatKind format,
      GError** error
    )

#### Description [src]

Parses an AppStream upstream metadata file.

If `file` does not exist, `G_IO_ERROR_NOT_FOUND` will be returned. Other `GIOErrors` and `AsMetadataErrors` may be returned as appropriate.

#### Parameters

`file`

  Type: `GFile`

  `GFile` for the upstream metadata.

  The data is owned by the caller of the method.

`format`

  Type: `AsFormatKind`

  The format the data is in, or `AS_FORMAT_KIND_UNKNOWN` if not known.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the file was parsed without error.